<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<ng-container *ngIf="configurationSummary">

	<sdm-election-event-summary [configurationSummary]="configurationSummary"></sdm-election-event-summary>

	<sdm-electoral-board-summary [electoralBoardSummary]="configurationSummary.electoralBoard"></sdm-electoral-board-summary>

	<sdm-authorization-summary [authorizationSummary]="authorizations"></sdm-authorization-summary>

	<div *ngFor="let contest of contests">
		<div *ngIf="contest.electionGroup">
			<sdm-election-summary [electionGroupSummary]="contest.electionGroup"></sdm-election-summary>
		</div>
		<div *ngIf="contest.vote">
			<sdm-vote-summary [voteSummary]="contest.vote"></sdm-vote-summary>
		</div>
	</div>
</ng-container>
